Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ApplicationException

Represents the error that occurs when a method invoked via reflection throws an exception.

The constructors are passed a reference to the exception thrown by the invoked method. The property inherited from holds the exception.

- Constructor
  The that is the cause of the current exception. If the parameter is not , the current exception was raised as a result of the inner exception being thrown by a method invoked via reflection.
  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "Exception has been thrown by the target of an invocation." This message takes into account the current system culture.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The that is the cause of the current exception. If is not , the current exception was raised as a result of being thrown by a method invoked via reflection.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using , and the property using . If is , the property is initialized to a system-supplied message that describes the error, such as "Exception has been thrown by the target of an invocation." This message takes into account the current system culture.

  For information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)